$icon-dimensions: 1.5rem !default
$icon-dimensions-small: 1rem !default
$icon-dimensions-medium: 2rem !default
$icon-dimensions-large: 3rem !default

.#{$namespace}-icon
  align-items: center
  display: inline-flex
  justify-content: center
  height: $icon-dimensions
  width: $icon-dimensions
  font-size: 1.5em
  position: relative
  span
    font-size: .525em
    font-family: 'Source Sans Pro', sans-serif
    background-color: $primary
    padding: 3px 6px 4px
    line-height: .9
    color: white
    border-radius: 50%
    position: absolute
    display: block
    right: -10px
    top: -2px
  // Sizes
  &.is-small
    height: $icon-dimensions-small
    width: $icon-dimensions-small
    font-size: 1.2em
    .material-icons
      font-size: 1.2em
  &.is-medium
    height: $icon-dimensions-medium
    width: $icon-dimensions-medium
    font-size: 2em
    .material-icons
      font-size: 2em
  &.is-large
    height: $icon-dimensions-large
    width: $icon-dimensions-large
    font-size: 3em
    .material-icons
      font-size: 3em
